#Isoler courant
def layoff
	model = Sketchup.active_model
	model.layers.each do |lay|
		if lay.visible? and lay.name != model.active_layer.name
			lay.visible = false
		end
	end
	Sketchup::set_status_text "Le calque courant est maintenant isole."
end

#Isole le ou les calques des objets slectionns
def layiso
	model = Sketchup.active_model
	ss = model.selection
	selection_layers = []
	if ss.empty? 
		UI.messagebox("Aucune selection.")
		return nil
		else
			ss.each do |element|
				selection_layers.push(element.layer)
			end
			selection_layers.uniq!
			model.layers.each do |lay|
				if(selection_layers.include?(lay))
					lay.visible = true
					else
						lay.visible = false
				end
			end
		end
end

#Rend le calque de l'objet courant
def laycou
	model = Sketchup.active_model
	ss = model.selection
	if ss.empty?
		UI.messagebox("Aucune selection.")
		else
			model.active_layer = ss[0].layer
			ss.clear
	end
end

#inverse le ou les calques
def layinv
	model = Sketchup.active_model
	model.layers.each do |lay|
		if lay.visible? and lay.name != model.active_layer.name
			lay.visible = false
			else
			lay.visible = true
		end
	end
end


#Gle le ou les calques des objets slectionns
def layfrz
	model = Sketchup.active_model
	ss = model.selection
	selection_layers = []
	if ss.empty? 
		UI.messagebox("Aucune selection.")
		return nil
		else
			ss.each do |element|
				selection_layers.push(element.layer)
			end
			selection_layers.uniq!
			model.layers.each do |lay|
				if(selection_layers.include?(lay))
					lay.visible = false
					else
						Sketchup::set_status_text "Impossible de geler le calque courant."
				end
			end
		end
end

#Affiche tous les calques
def layon
    for layer in Sketchup.active_model.layers
        layer.visible = true
    end
end

#Purger les calques inutilises
def laypur
	Sketchup.active_model.layers.purge_unused
	UI.messagebox("Calques purgs.")
end